> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Auto Add Target

> Retrieves the auto add target for the specified discountId.



## OpenAPI

````yaml /openapi/openapi_pricing.json get /commerce/catalog/storefront/discounts/autoaddtarget/{discountId}
openapi: 3.0.1
info:
  description: OpenAPI Spec for Kibo PricingRuntime Service
  title: Pricing Storefront
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/storefront/discounts/autoaddtarget/{discountId}:
    get:
      tags:
        - Discounts
      summary: Get Auto Add Target
      description: Retrieves the auto add target for the specified discountId.
      parameters:
        - in: path
          name: discountId
          required: true
          schema:
            format: int32
            type: integer
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AutoAddDiscountTarget'
            text/json:
              schema:
                $ref: '#/components/schemas/AutoAddDiscountTarget'
            text/plain:
              schema:
                $ref: '#/components/schemas/AutoAddDiscountTarget'
          description: OK
components:
  schemas:
    AutoAddDiscountTarget:
      properties:
        discountId:
          description: Unique identifier of the discount. System-supplied and read-only.
          format: int32
          type: integer
        friendlyDescription:
          description: Friendly description of the discount.
          nullable: true
          type: string
        includedProductCodes:
          description: Included product codes
          items:
            type: string
          nullable: true
          type: array
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````